/*****************************************
 *                                       *
 *  JBoss Portal: The OpenSource Portal  *
 *                                       *
 *   Distributable under LGPL license.   *
 *   See terms of license at gnu.org.    *
 *                                       *
 *****************************************/

package org.jboss.portlet.hello;

import org.jboss.portlet.JBossPortlet;
import org.jboss.portlet.JBossRenderRequest;
import org.jboss.portlet.JBossRenderResponse;


import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse; 
import javax.portlet.PortletException;
import javax.portlet.PortletSecurityException;


import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import org.hibernate.cfg.Configuration;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;

public class HelloWorldPortlet extends JBossPortlet
{
   public void init() throws PortletException
   {
      System.out.println("Portlet Initializing");

      System.out.println("Portlet Initialized");
   }

   public void processAction(ActionRequest request, ActionResponse response) throws PortletException, PortletSecurityException, IOException
   {
      Enumeration e = request.getParameterNames();
      String name;
      while (e.hasMoreElements()) {
         name = (String) e.nextElement();
         response.setRenderParameter(name,request.getParameter(name));
      }
   }

   protected void doView(JBossRenderRequest req, JBossRenderResponse resp) throws IOException, PortletException
   {
      try
      {
         resp.setContentType("text/html");
         StringBuffer html = new StringBuffer();

         html.append("<br/>");
         html.append("<b>Hello Portal World!</b>");
         html.append("<br/>");
         html.append("<BR/><BR/>RenderRequest Parameters");
         Enumeration e = req.getParameterNames();
         String name;
         while (e.hasMoreElements()) {
            name = (String) e.nextElement();
            html.append("<BR/>&nbsp;&nbsp;" + name + "="
                  + req.getParameter(name));
         }

         resp.getWriter().write(html.toString());
      }
      catch(Exception e)
      {
         e.printStackTrace();
      }
   }
}
